org.apache.ignite.internal

## Class GridJobCancelRequest

- java.lang.Object
- - org.apache.ignite.internal.GridJobCancelRequest

All Implemented Interfaces:
  Serializable, Message

    public class GridJobCancelRequest
    extends Object
    implements Message

Job cancellation request.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`GridJobCancelRequest()` No-op constructor to support `Externalizable` interface.
`GridJobCancelRequest(IgniteUuid sesId)`
`GridJobCancelRequest(IgniteUuid sesId, IgniteUuid jobId)`
`GridJobCancelRequest(IgniteUuid sesId, IgniteUuid jobId, boolean sys)`

### Method Summary

Methods
`byte` `directType()` Gets message type.
`byte` `fieldsCount()` Gets fields count.
`IgniteUuid` `jobId()` Gets session ID of job to be cancelled.
`boolean` `readFrom(ByteBuffer buf, MessageReader reader)` Reads this message from provided byte buffer.
`IgniteUuid` `sessionId()` Gets execution ID of task to be cancelled.
`boolean` `system()`
`String` `toString()`
`boolean` `writeTo(ByteBuffer buf, MessageWriter writer)` Writes this message to provided byte buffer.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### GridJobCancelRequest

    public GridJobCancelRequest()

No-op constructor to support `Externalizable` interface. This constructor is not meant to be used for other purposes.

#### GridJobCancelRequest

    public GridJobCancelRequest(IgniteUuid sesId)

Parameters:
  `sesId` - Task session ID.

#### GridJobCancelRequest

    public GridJobCancelRequest(@Nullable
                        IgniteUuid sesId,
                        @Nullable
                        IgniteUuid jobId)

Parameters:
  `sesId` - Task session ID.
  `jobId` - Job ID.

#### GridJobCancelRequest

    public GridJobCancelRequest(@Nullable
                        IgniteUuid sesId,
                        @Nullable
                        IgniteUuid jobId,
                        boolean sys)

Parameters:
  `sesId` - Session ID.
  `jobId` - Job ID.
  `sys` - System flag.

### Method Detail

#### sessionId

    @Nullable
    public IgniteUuid sessionId()

Gets execution ID of task to be cancelled.

Returns:
  Execution ID of task to be cancelled.

#### jobId

    @Nullable
    public IgniteUuid jobId()

Gets session ID of job to be cancelled. If `null`, then all jobs for the specified task execution ID will be cancelled.

Returns:
  Execution ID of job to be cancelled.

#### system

    public boolean system()

Returns:
  `True` if request to cancel is sent out of system when task has already been reduced and further results are no longer interesting.

#### writeTo

    public boolean writeTo(ByteBuffer buf,
                  MessageWriter writer)

Writes this message to provided byte buffer.

Specified by:
  `writeTo` in interface `Message`
Parameters:
  `buf` - Byte buffer.
  `writer` - Writer.
Returns:
  Whether message was fully written.

#### readFrom

    public boolean readFrom(ByteBuffer buf,
                   MessageReader reader)

Reads this message from provided byte buffer.

Specified by:
  `readFrom` in interface `Message`
Parameters:
  `buf` - Byte buffer.
  `reader` - Reader.
Returns:
  Whether message was fully read.

#### directType

    public byte directType()

Gets message type.

Specified by:
  `directType` in interface `Message`
Returns:
  Message type.

#### fieldsCount

    public byte fieldsCount()

Gets fields count.

Specified by:
  `fieldsCount` in interface `Message`
Returns:
  Fields count.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.3.0-incubating
Release Date | : July 10 2015